libstdc++: __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc > Struct Template Reference

libstdc++

__gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc > Struct Template Reference

`#include <node.hpp>`

## Public Types
typedef _Metadata | metadata_type
typedef rebind_traits< _Alloc, this_type >::pointer | node_pointer
typedef _Alloc::size_type | size_type
typedef _Value | value_type

## Public Attributes
metadata_type | m_metadata
node_pointer | m_p_l_child
node_pointer | m_p_next_sibling
node_pointer | m_p_prev_or_parent
value_type | m_value

## Detailed Description

template<typename _Value, typename _Metadata, typename _Alloc>
struct __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >

Node.

Definition at line 52 of file left_child_next_sibling_heap_/node.hpp.

## Member Typedef Documentation

## ◆ metadata_type

template<typename _Value, typename _Metadata, typename _Alloc>

typedef _Metadata __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::metadata_type

Definition at line 60 of file left_child_next_sibling_heap_/node.hpp.

## ◆ node_pointer

template<typename _Value, typename _Metadata, typename _Alloc>

typedef rebind_traits<_Alloc,this_type>::pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::node_pointer

Definition at line 62 of file left_child_next_sibling_heap_/node.hpp.

## ◆ size_type

template<typename _Value, typename _Metadata, typename _Alloc>

typedef _Alloc::size_type __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::size_type

Definition at line 59 of file left_child_next_sibling_heap_/node.hpp.

## ◆ value_type

template<typename _Value, typename _Metadata, typename _Alloc>

typedef _Value __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::value_type

Definition at line 58 of file left_child_next_sibling_heap_/node.hpp.

## Member Data Documentation

## ◆ m_metadata

template<typename _Value, typename _Metadata, typename _Alloc>

metadata_type __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::m_metadata

Definition at line 65 of file left_child_next_sibling_heap_/node.hpp.

## ◆ m_p_l_child

template<typename _Value, typename _Metadata, typename _Alloc>

node_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::m_p_l_child

Definition at line 66 of file left_child_next_sibling_heap_/node.hpp.

## ◆ m_p_next_sibling

template<typename _Value, typename _Metadata, typename _Alloc>

node_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::m_p_next_sibling

Definition at line 67 of file left_child_next_sibling_heap_/node.hpp.

## ◆ m_p_prev_or_parent

template<typename _Value, typename _Metadata, typename _Alloc>

node_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::m_p_prev_or_parent

Definition at line 68 of file left_child_next_sibling_heap_/node.hpp.

## ◆ m_value

template<typename _Value, typename _Metadata, typename _Alloc>

value_type __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >::m_value

Definition at line 64 of file left_child_next_sibling_heap_/node.hpp.

The documentation for this struct was generated from the following file:

- left_child_next_sibling_heap_/node.hpp